Subject: Re: [PATCH v2] Allow exec on 32-bit from readable, non-exec pages, with a warning.

From: Scott Wood <[email-masked]>
Date: Wed, 11 Jul 2007 10:32:42 -0500

Segher Boessenkool wrote:
>> Actually I see no good reason to enforce no-exec at all if we can't do
>> it consistently.  And if we're not going to enforce it then there is
>> no point whinging about it.
> 
> 
> I have a new patch with just this behaviour, Scott is
> testing it on old glibc (I think it succeeded, need
> confirmation though),

It worked fine on glibc 2.2.5 and 2.3.3 (the former of which failed 
without the patch).

-Scott